<h3>{{title}}</h3>
<div *ngIf="!error">
    <mat-form-field appearance="fill">
        <mat-label>Note text:</mat-label>
        <textarea 
            matInput
            placeholder="What's on your mind?"
            required
            [formControl]="textControl"
        >
        </textarea>
        <mat-error *ngIf="(submitted || textControl.touched) && textControl.errors?.required">Note text can't be empty</mat-error>
    </mat-form-field>
    <button (click)="onSubmit()" mat-raised-button color="primary" [disabled]="!textControl.valid">
        Save
    </button>
</div>
<mat-error *ngIf="error">{{error}}</mat-error>

